Skip to main content
`Ctrl`+`K`

# DMMoabCheckBoundaryVertices

Check whether a given entity is on the boundary (vertex, edge, face, element)

## Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabCheckBoundaryVertices(DM dm, PetscInt nconn, const moab::EntityHandle *cnt, PetscBool *isbdvtx)

## Input Parameters

- dm - The `DMMOAB` object

- nconn - Number of handles

- cnt - Array of entity handles

## Output Parameter

- isbdvtx - Array of boundary markers - `PETSC_TRUE` if entity on boundary; `PETSC_FALSE` otherwise

## See Also

`DMMOAB`, `DMMoabIsEntityOnBoundary()`

## Level

beginner

## Location

src/dm/impls/moab/dmmoab.cxx

## Examples

src/ksp/ksp/tutorials/ex35.cxx
src/ksp/ksp/tutorials/ex36.cxx

Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages